[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.GetIcon

Gets the icon at the specified index and applies an image effect.

## Declaration

Source position: imglist.pp line 376

`public procedure TCustomImageList.GetIcon(`
`Index: Integer;`
`Image: TIcon;`
`AEffect: TGraphicsDrawEffect`
`); overload; procedure TCustomImageList.GetIcon(`
`Index: Integer;`
`Image: TIcon`
`); overload;`

## Arguments

`Index` |  | Ordinal position in the imagelist with the icon image data.
`Image` |  | TIcon instance where the image data is stored.
`AEffect` |  | Drawing effect applied to the image data. gdeNormal when not specified.

## Arguments

`Index` |  | Ordinal position in the imagelist with the icon image data.
`Image` |  | TIcon instance where the image data is stored.